NppiJpegFrameDescr Struct Reference
Compression

JPEG frame descriptor. More...

`#include <nppi_compression_functions.h>`

## Data Fields

Npp8u | nComponents
| Number of components in frame. More...
NppiSize | oSizeInBlocks
| Size of component with 1x1 subsampling (usually luma) in DCT blocks. More...
NppiSize | aComponentSubsampling [4]
| Subsampling factors of component, as described in frame header. More...
Npp16s * | apComponentBuffer [4]
| Buffer containing DCT coefficients. More...

## Detailed Description

JPEG frame descriptor.

Can hold from 1 to 4 components.

## Field Documentation

NppiSize NppiJpegFrameDescr::aComponentSubsampling[4]

Subsampling factors of component, as described in frame header.

Npp16s* NppiJpegFrameDescr::apComponentBuffer[4]

Buffer containing DCT coefficients.

Use nppiJpegDecodeGetDCTBufferSize to determine size of this buffer. After decoding, coefficients will be stored in zig-zag order, block by block. So the c-th coeffient of block `(x, y)` will be stored at `buffer[64 * (y * interleavedComponentWidthInBlocks + x) + c]`.

Npp8u NppiJpegFrameDescr::nComponents

Number of components in frame.

NppiSize NppiJpegFrameDescr::oSizeInBlocks

Size of component with 1x1 subsampling (usually luma) in DCT blocks.

The documentation for this struct was generated from the following file:

- C:/src/sw/rel/gpgpu/toolkit/r10.0/NPP/npp/include/nppi_compression_functions.h

Copyright © 2009-2017 NVIDIA Corporation